<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Route::get('ref', 'Referencias\c_ReferenciasMZ@index');

Route::get('listClientes', 'c_Clientes@index');
Route::get('GenRef', 'Referencias\c_Referencias@generarREF');
Route::get('ListUsu', 'c_Usuarios@index');

Route::get('/home', 'Referencias\c_Referencias@generarREF')->name('home');
Auth::routes();

Route::get('RegUser', 'c_Usuarios@insertUsuario');
Route::get('EditarUsu', 'c_Usuarios@editarUsuario');
Route::get('EliminarUsu', 'c_Usuarios@eliminarUsuario');//--

//Referencias
Route::get('CRefMZ', 'Referencias\c_ReferenciasMZ@referenciasMZ');//--
Route::get('RefConsMZ', 'Referencias\c_ReferenciasMZ@refConsMZ');
Route::get('CRefMX', 'Referencias\c_ReferenciasMX@referenciasMX');//--
Route::get('RefConsMX', 'Referencias\c_ReferenciasMX@refConsMX');
Route::get('CRefVZ', 'Referencias\c_ReferenciasVZ@referenciasVZ');//--
Route::get('RefConsVZ', 'Referencias\c_ReferenciasVZ@refConsVZ');
Route::get('CRefLZ', 'Referencias\c_ReferenciasLZ@referenciasLZ');//--
Route::get('RefConsLZ', 'Referencias\c_ReferenciasLZ@refConsLZ');

//Rectificaciones Actuales
Route::get('RecActMZ', 'RectificacionesActuales\c_RectificacionesMZ@rectificacionActualMZ');
Route::get('RecActVZ', 'RectificacionesActuales\c_RectificacionesVZ@rectificacionActualVZ');
Route::get('RecActLZ', 'RectificacionesActuales\c_RectificacionesLZ@rectificacionActualLZ');
Route::get('RecActMX', 'RectificacionesActuales\c_RectificacionesMX@rectificacionActualMX');
Route::get('rec', 'RectificacionesActuales\c_Rectificaciones@index');
Route::get('GenRec', 'RectificacionesActuales\c_Rectificaciones@generarREC');

//Editar referencias
Route::get('EditRefMZ', 'Referencias\c_ReferenciasMZ@editRefMZ');
Route::get('EditRefLZ', 'Referencias\c_ReferenciasLZ@editRefLZ');
Route::get('EditRefVZ', 'Referencias\c_ReferenciasVZ@editRefVZ');
Route::get('EditRefMX', 'Referencias\c_ReferenciasMX@editRefMX');

//Buscadores de referencias antiguas 2019
Route::get('buscRef2019MZ', 'ReferenciasAntiguas\c_referencias_2019@buscadorRefMZ2019');//--
Route::get('ageRefAnt2019', 'ReferenciasAntiguas\c_referencias_2019@ageRefAnt2019');
Route::get('buscadorRefVZ2019', 'ReferenciasAntiguas\c_referencias_2019@buscadorRefVZ2019');//--
Route::get('ageRefAntVZ2019', 'ReferenciasAntiguas\c_referencias_2019@ageRefAntVZ2019');
Route::get('buscadorRefLZ2019', 'ReferenciasAntiguas\c_referencias_2019@buscadorRefLZ2019');//--
Route::get('ageRefAntLZ2019', 'ReferenciasAntiguas\c_referencias_2019@ageRefAntLZ2019');
Route::get('buscadorRefMX2019', 'ReferenciasAntiguas\c_referencias_2019@buscadorRefMX2019');//--
Route::get('ageRefAntMX2019', 'ReferenciasAntiguas\c_referencias_2019@ageRefAntMX2019');

//Rectificaciones antiguas
Route::get('RecAnt_MZ', 'RectificacionesAntiguas\c_rectificacionesAnt@recAntMZ');//--
Route::get('RecAnt_VZ', 'RectificacionesAntiguas\c_rectificacionesAnt@recAntVZ');//--
Route::get('RecAnt_LZ', 'RectificacionesAntiguas\c_rectificacionesAnt@recAntLZ');//--
Route::get('RecAnt_MX', 'RectificacionesAntiguas\c_rectificacionesAnt@recAntMX');//--

//Editar rectificaciones
Route::get('RecEditar_MZ', 'Rectificaciones\c_rectificaciones_MZ@editarRecMZ');//--
Route::get('RecEditar_MX', 'Rectificaciones\c_rectificaciones_MX@editarRecMX');//--
Route::get('RecEditar_LZ', 'Rectificaciones\c_rectificaciones_LZ@editarRecLZ');//--
Route::get('RecEditar_VZ', 'Rectificaciones\c_rectificaciones_VZ@editarRecVZ');//--

//Clientes
Route::post('editarCliente', 'c_Clientes@editarCliente');
Route::get('insertsCliente', 'c_Clientes@insretsCliente1');


//WORD
Route::get('word-export/{folio}', 'Referencias\c_Referencias@wordExport');
Route::get('word-export_Bitacora/{folio}', 'Referencias\c_Referencias@wordExport_Bitacora');


